import { ChainGun } from '@notabug/chaingun';
import SocketClusterGraphConnector from '@notabug/chaingun-socket-cluster-connector';
import { NabLmdbGraphConnector } from './NabLmdbGraphConnector';
interface Opts extends GunChainOptions {
    readonly socketCluster: any;
    readonly lmdb?: any;
}
export declare class NabLmdbStorage extends ChainGun {
    protected readonly lmdb: NabLmdbGraphConnector;
    protected readonly socket: SocketClusterGraphConnector;
    constructor(options?: Opts);
    respondToGets(): void;
    persistIncoming(): void;
    uploadThing(thingId: string): Promise<void>;
    uploadThings(): void;
    scanThings(terms: string): void;
    authenticate(): Promise<void>;
    protected publishDiff(msg: GunMsg): void;
}
export {};
